"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @dgService getInjectables
 * @kind function
 * @description
 * Use the injector to get a collection of service instances from a collection of injectable factories
 */
function getInjectablesFactory(injector) {
    return function (factories) {
        return factories.map(function (factory) {
            var instance = injector.invoke(factory);
            if (!instance.name) {
                instance.name = factory.name;
            }
            return instance;
        });
    };
}
exports.getInjectablesFactory = getInjectablesFactory;
;
//# sourceMappingURL=getInjectables.js.map